<html>
<head>
<title>OgreTagPoint.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTagPoint.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTagPoint_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __TagPoint_H_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __TagPoint_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreBone_8h.html">OgreBone.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre  {
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 
<a name="l00039"></a>00039     
<a name="l00060"></a><a class="code" href="classOgre_1_1TagPoint.html">00060</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific other entities...">TagPoint</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Bone.html" title="A bone in a skeleton.">Bone</a>
<a name="l00061"></a>00061     {
<a name="l00062"></a>00062 
<a name="l00063"></a>00063     <span class="keyword">public</span>:
<a name="l00064"></a>00064         <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific other entities...">TagPoint</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> handle, <a class="code" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a>* creator);
<a name="l00065"></a>00065         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific other entities...">TagPoint</a>();
<a name="l00066"></a>00066 
<a name="l00067"></a>00067         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *getParentEntity(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00068"></a>00068         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* getChildObject(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00069"></a>00069         
<a name="l00070"></a>00070         <span class="keywordtype">void</span> setParentEntity(<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *pEntity);
<a name="l00071"></a>00071         <span class="keywordtype">void</span> setChildObject(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> *pObject);
<a name="l00072"></a>00072 
<a name="l00077"></a>00077         <span class="keywordtype">void</span> setInheritParentEntityOrientation(<span class="keywordtype">bool</span> inherit);
<a name="l00078"></a>00078 
<a name="l00081"></a>00081         <span class="keywordtype">bool</span> getInheritParentEntityOrientation(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00082"></a>00082 
<a name="l00087"></a>00087         <span class="keywordtype">void</span> setInheritParentEntityScale(<span class="keywordtype">bool</span> inherit);
<a name="l00088"></a>00088 
<a name="l00091"></a>00091         <span class="keywordtype">bool</span> getInheritParentEntityScale(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00092"></a>00092 
<a name="l00094"></a>00094         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getParentEntityTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00095"></a>00095 
<a name="l00097"></a>00097         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; _getFullLocalTransform(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00098"></a>00098 
<a name="l00100"></a>00100         <span class="keywordtype">void</span> needUpdate(<span class="keywordtype">bool</span> forceParentUpdate = <span class="keyword">false</span>);
<a name="l00101"></a>00101 
<a name="l00103"></a>00103         <span class="keywordtype">void</span> updateFromParentImpl(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00105"></a>00105         <span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>&amp; getLights(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00106"></a>00106 
<a name="l00107"></a>00107 
<a name="l00108"></a>00108 
<a name="l00109"></a>00109     <span class="keyword">private</span>:
<a name="l00110"></a><a class="code" href="classOgre_1_1TagPoint.html#a1878da6b427fe86fab13c57e8dfe02bd">00110</a>         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *<a class="code" href="classOgre_1_1TagPoint.html#a1878da6b427fe86fab13c57e8dfe02bd">mParentEntity</a>;
<a name="l00111"></a><a class="code" href="classOgre_1_1TagPoint.html#a3fe839125eff3d7e81d6eb7f245b5bca">00111</a>         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> *<a class="code" href="classOgre_1_1TagPoint.html#a3fe839125eff3d7e81d6eb7f245b5bca">mChildObject</a>;
<a name="l00112"></a><a class="code" href="classOgre_1_1TagPoint.html#a29730d1867f1eee1a1f1e7424c1c2291">00112</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1TagPoint.html#a29730d1867f1eee1a1f1e7424c1c2291">mFullLocalTransform</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1TagPoint.html#a90918eb7b45f9a4e1c22a6aae72932ae">00113</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TagPoint.html#a90918eb7b45f9a4e1c22a6aae72932ae">mInheritParentEntityOrientation</a>;
<a name="l00114"></a><a class="code" href="classOgre_1_1TagPoint.html#a407a4cc207cd22497d390ea0e56d5f18">00114</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TagPoint.html#a407a4cc207cd22497d390ea0e56d5f18">mInheritParentEntityScale</a>;
<a name="l00115"></a>00115     };
<a name="l00116"></a>00116 
<a name="l00120"></a>00120 } <span class="comment">//namespace</span>
<a name="l00121"></a>00121 
<a name="l00122"></a>00122 
<a name="l00123"></a>00123 <span class="preprocessor">#endif//__TagPoint_H_</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
